/*!
* \file gamePackage.c
* \brief Fichier contenant le code des fonctions liees aux gamePackage.
*/

#include "structures.h"
#include "roxml.h"
#include "Interface.h"
#include "gamePackage.h"

/*!
 * \fn Game_Package Construire_Package()
 * \brief Fonction de construction d'un package contenant l'univers du jeu
 *
 * \return un Game_Package
 */
Game_Package Construire_Package()
{
    Game_Package Pack;

    Classe* Classes_Pack = Librairie_Classes("../resources/Classes.xml");
    Terrain* Terrains_Pack = Librairie_Terrains("../resources/Terrains.xml");
    Skins_GUI* GUI_Pack = Get_Skins_GUI("../resources/GUI.xml");
    Carte_A* Map_Pack = ExtraireCartesXML("../resources/Maps.xml");

    Pack.Classes_Package = Classes_Pack;
    Pack.Terrains_Package = Terrains_Pack;
    Pack.GUI_Package = GUI_Pack;
    Pack.Cartes_Package = Map_Pack;

    return Pack;
}

